Skip to main content
GET
/
1
/
transformations
/
{transformationID}
curl
curl --request GET \
  --url https://data.us.algolia.com/1/transformations/6c02aeb1-775e-418e-870b-1faccd4b2c0f \
  --header 'accept: application/json' \
  --header 'x-algolia-api-key: ALGOLIA_API_KEY' \
  --header 'x-algolia-application-id: ALGOLIA_APPLICATION_ID'
{
  "code": "<string>",
  "createdAt": "<string>",
  "name": "<string>",
  "transformationID": "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
  "updatedAt": "<string>",
  "authenticationIDs": [
    "6c02aeb1-775e-418e-870b-1faccd4b2c0f"
  ],
  "description": "<string>",
  "input": {
    "code": "<string>"
  },
  "owner": "<string>",
  "type": "code"
}

Documentation Index

Fetch the complete documentation index at: https://algolia.com/llms.txt

Use this file to discover all available pages before exploring further.

Required ACL: addObject, deleteIndex, editSettings

Authorizations

x-algolia-application-id
string
header
required

Your Algolia application ID.

x-algolia-api-key
string
header
required

Your Algolia API key with the necessary permissions to make the request. Permissions are controlled through access control lists (ACL) and access restrictions. The required ACL to make a request is listed in each endpoint's reference.

Path Parameters

transformationID
string
required

Unique identifier of a transformation. Universally unique identifier (UUID) of a transformation.

Example:

"6c02aeb1-775e-418e-870b-1faccd4b2c0f"

Response

OK

code
string
required
deprecated

It is deprecated. Use the input field with proper type instead to specify the transformation code.

createdAt
string
required

Date and time when the resource was created, in RFC 3339 format.

name
string
required

The uniquely identified name of your transformation.

transformationID
string
required

Universally unique identifier (UUID) of a transformation.

Example:

"6c02aeb1-775e-418e-870b-1faccd4b2c0f"

updatedAt
string
required

Date and time when the resource was last updated, in RFC 3339 format.

authenticationIDs
string[]

The authentications associated with the current transformation.

Universally unique identifier (UUID) of an authentication resource.

description
string

A descriptive name for your transformation of what it does.

input
Code · object

The input for the transformation, which can be either code or a no-code configuration.

owner
string | null

Owner of the resource.

type
enum<string>

The type of transformation, which can be either 'code' or 'noCode'.

Available options:
code,
noCode
Last modified on March 23, 2026